---
title: "Gets all lease assets of the specified lease schedule."
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-leases-leaseCompanyNumber---leaseScheduleId--assets/get"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Gets all lease assets of the specified lease schedule.

`GET` `/v1/leases/{leaseCompanyNumber}/{leaseScheduleId}/assets`

## Path parameters

- `leaseCompanyNumber` (integer, int32, required) - The lease company number.
- `leaseScheduleId` (integer, int32, required) - The lease schedule identifier.

## Query parameters

- `loadOptions` (object, optional) - The load options object.

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/leases/{leaseCompanyNumber}/{leaseScheduleId}/assets:
    get:
      parameters:
        - description: The lease company number.
          in: path
          name: leaseCompanyNumber
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: The lease schedule identifier.
          in: path
          name: leaseScheduleId
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: The load options object.
          in: query
          name: loadOptions
          schema:
            $ref: "#/components/schemas/TesmaLoadOptions"
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TesmaLoadResult_LeaseScheduleAssetResponse"
          description: OK
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
        "404":
          description: Not Found
      summary: Gets all lease assets of the specified lease schedule.
      tags:
        - LeaseScheduleAssets
security:
  - PersonalAccessToken: []
components:
  schemas:
    TesmaLoadOptions:
      additionalProperties: false
      properties:
        filter:
          items: {}
          type:
            - "null"
            - array
        group:
          items:
            $ref: "#/components/schemas/GroupingInfo"
          type:
            - "null"
            - array
        groupSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
        isCountQuery:
          type: boolean
        requireGroupCount:
          type: boolean
        requireTotalCount:
          type: boolean
        select:
          items:
            type: string
          type:
            - "null"
            - array
        skip:
          format: int32
          type: integer
        sort:
          items:
            $ref: "#/components/schemas/SortingInfo"
          type:
            - "null"
            - array
        take:
          format: int32
          type: integer
        totalSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
      type: object
    TesmaLoadResult_LeaseScheduleAssetResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: "#/components/schemas/LeaseScheduleAssetResponse"
          type:
            - "null"
            - array
          x-is-public: true
        groupCount:
          default: -1
          format: int32
          type: integer
        summary:
          items: {}
          type:
            - "null"
            - array
        totalCount:
          default: -1
          format: int32
          type: integer
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
    GroupingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        groupInterval:
          type:
            - "null"
            - string
        isExpanded:
          type:
            - "null"
            - boolean
        selector:
          type:
            - "null"
            - string
      type: object
    SummaryInfo:
      additionalProperties: false
      properties:
        selector:
          type:
            - "null"
            - string
        summaryType:
          type:
            - "null"
            - string
      type: object
    SortingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        selector:
          type:
            - "null"
            - string
      type: object
    LeaseScheduleAssetResponse:
      additionalProperties: false
      properties:
        acceptanceCertificateId:
          format: int32
          type:
            - "null"
            - integer
        actualLeaseEndDate:
          format: date
          type:
            - "null"
            - string
        assetId:
          format: int64
          type: integer
        assetStatusId:
          format: int32
          type:
            - "null"
            - integer
        category:
          $ref: "#/components/schemas/AssetCategory"
        city:
          type:
            - "null"
            - string
        class:
          type:
            - "null"
            - string
        collectionNumber:
          format: int32
          type:
            - "null"
            - integer
        confirmationDate:
          format: date-time
          type:
            - "null"
            - string
        contractStatus:
          $ref: "#/components/schemas/AssetContractStatus"
        costCenter:
          type:
            - "null"
            - string
        currency:
          type:
            - "null"
            - string
        customerContext:
          $ref: "#/components/schemas/CustomerContextResponse"
        customerSpecificFields:
          type: "null"
        deinstallationDate:
          format: date
          type:
            - "null"
            - string
        description:
          type:
            - "null"
            - string
        eolFlagDate:
          format: date-time
          type:
            - "null"
            - string
        eolFlagType:
          $ref: "#/components/schemas/AssetEndOfLifeFlagType"
        eolFlagUserId:
          format: int32
          type:
            - "null"
            - integer
        federalState:
          type:
            - "null"
            - string
        invoiceGroupNumber:
          format: int32
          type:
            - "null"
            - integer
        isCarbonZero:
          type: boolean
        leaseDepartment:
          type:
            - "null"
            - string
        leaseOrderNumber:
          type:
            - "null"
            - string
        leaseScheduleId:
          format: int32
          type: integer
        leaseStartDate:
          format: date
          type:
            - "null"
            - string
        location:
          type:
            - "null"
            - string
        locationOfInstallation:
          type:
            - "null"
            - string
        mKey:
          format: int32
          type: integer
        manufacturer:
          type:
            - "null"
            - string
        minimumLeaseTermEndDate:
          format: date
          type:
            - "null"
            - string
        offleaseType:
          $ref: "#/components/schemas/AssetOffleaseType"
        orderNumber:
          type:
            - "null"
            - string
        periodicalPrice:
          format: double
          type:
            - "null"
            - number
        plannedLeaseEndDate:
          format: date
          type:
            - "null"
            - string
        postcode:
          type:
            - "null"
            - string
        purchaseOrder:
          type:
            - "null"
            - string
        serialNumber:
          type:
            - "null"
            - string
        street:
          type:
            - "null"
            - string
        street2:
          type:
            - "null"
            - string
        technicalSpecifications:
          type:
            - "null"
            - string
        usagePeriod:
          $ref: "#/components/schemas/UsagePeriod"
      type: object
    AssetCategory:
      enum:
        - hardware
        - software
        - service
      type: string
    AssetContractStatus:
      enum:
        - confirmationPending
        - confirmed
        - inLease
        - terminated
        - unknown
      type: string
    CustomerContextResponse:
      additionalProperties: false
      properties:
        customerName:
          type:
            - "null"
            - string
        customerNumber:
          format: int32
          type: integer
        leaseCompany:
          format: int32
          type: integer
        leaseCompanyName:
          type:
            - "null"
            - string
      type: object
    AssetEndOfLifeFlagType:
      enum:
        - extension
        - buyOut
        - collection
        - markForCollection
      type: string
    AssetOffleaseType:
      enum:
        - stock
        - followUpLease
        - derecognition
        - buyout
      type: string
    UsagePeriod:
      enum:
        - monthly
        - quarterly
        - semiyearly
        - yearly
      type: string
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
